Problems compiling the libraries and testing them

I am able to compile the SDL libraries, install them, but neither the test
program nor anything else which uses the SDL libs will compile. It won’t
work at all. I get a message saying that they cannot find version 1.2.0 or
greater SDL libraries (even the test program that came with the 1.2.0
libraries says it cannot locate them!), after ./configure, make all, make
install, ldconfig, and verifying that the PATH environ. variable is set
correctly. At a loss here.

My System:

Linux 2.4.5
Glibc 2.2
XFree86 4.0.2 (using fbdev)

Any help would be appreciated.–
Clifford Hill
If you’re speaking of actions immoral
The how about giving the laurel
To doughty Queen Esther,
No three men could best her –
One fore, and one aft, and one oral.

I am able to compile the SDL libraries, install them, but neither the test
program nor anything else which uses the SDL libs will compile. It won’t
work at all. I get a message saying that they cannot find version 1.2.0 or
greater SDL libraries (even the test program that came with the 1.2.0
libraries says it cannot locate them!), after ./configure, make all, make
install, ldconfig, and verifying that the PATH environ. variable is set
correctly. At a loss here.

My System:

Linux 2.4.5
Glibc 2.2
XFree86 4.0.2 (using fbdev)

Any help would be appreciated.–
Clifford Hill
Please don’t leave, there’s more demons to toast.

          My System: Hewlett-Packard Pavilion Notebook n3350:
              Hostname: home, running Linux version 2.4.5
               One AMDK6-2+ with 247MB running at 550MHz
            Load Average 1.42, 1.95, 1.87; BogoMips: 1097.72
                    Uptime: Uptime 2 hours 3 minutes
   (Only reason the uptime's so low is because I turn off my laptop)

I am able to compile the SDL libraries, install them, but neither the test
program nor anything else which uses the SDL libs will compile. It won’t
work at all. I get a message saying that they cannot find version 1.2.0 or
greater SDL libraries (even the test program that came with the 1.2.0
libraries says it cannot locate them!), after ./configure, make all, make
install, ldconfig, and verifying that the PATH environ. variable is set
correctly. At a loss here.

What’s the output of:
which sdl-config
sdl-config --version
locate libSDL
tail config.log

See ya,
-Sam Lantinga, Lead Programmer, Loki Software, Inc.